use thiserror::Error;

use crate::{lexer::err::FrontendError, sema::err::SemaError};

#[derive(Debug, Clone, PartialEq, Eq, Error)]
pub enum CompileError {
    #[error(transparent)]
    Frontend(#[from] FrontendError),
    #[error(transparent)]
    Sema(#[from] SemaError),
}
